Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.publicinterface
Class Descriptor

`java.lang.Object
oracle.toplink.publicinterface.Descriptor`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  SDKDescriptor

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `ClassDescriptor`, and `RelationalDescriptor`

public class Descriptor
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

Purpose: TopLink has been designed to take advantage of the similarities between relational databases and objects while accommodating for their differences, providing an object oriented wrapper for relational databases. This is accomplished through the use of Descriptors. A descriptor is a pure specification class with all its behaviour deputized to DescriptorEventManager, DescriptorQueryManager and ObjectBuilder. Look at the following variables for the list of specification on the descriptor. A Descriptor is a set of mappings that describe how an objects's data is to be represented in a relational database. It contains mappings from the class instance variables to the table's fields, as well as the transformation routines necessary for storing and retrieving attributes. As such the descriptor acts as the link between the Java object and its database representaiton. Every descripor is initialized with the following information:

- The Java class its describes, and the corresponding table(s) for storing instances of the class.
- The primary key of the table.
- A list of query keys for field names.
- A description of the objects's attributes and relationships. This information is stored in mappings.
- A set of user selectable properties for tailoring the behaviour of the descriptor.

See Also:
  `DescriptorEventManager`, `DescriptorQueryManager`, `InheritancePolicy`, `InterfacePolicy`, `OptimisticLockingPolicy`, Serialized Form

Field Summary
`static int` | `DO_NOT_SEND_CHANGES` Deprecated.
`static int` | `INVALIDATE_CHANGED_OBJECTS` Deprecated.
`static int` | `SEND_NEW_OBJECTS_WITH_CHANGES` Deprecated.
`static int` | `SEND_OBJECT_CHANGES` Deprecated.
`static int` | `UNDEFINED_OBJECT_CHANGE_BEHAVIOR` Deprecated.

Constructor Summary
`Descriptor()` Deprecated. PUBLIC: Return a new descriptor.

Method Summary
`void` | `addAbstractQueryKey(java.lang.String queryKeyName)` Deprecated. PUBLIC: This method should only be used for interface descriptors.
`void` | `addConstraintDependencies(java.lang.Class dependencies)` Deprecated. ADVANCED: TopLink automatically orders database access through the foreign key information provided in 1:1 and 1:m mappings.
`DatabaseMapping` | `addDirectMapping(java.lang.String attributeName, java.lang.String fieldName)` Deprecated. PUBLIC: Add a direct to field mapping to the receiver.
`DatabaseMapping` | `addDirectMapping(java.lang.String attributeName, java.lang.String getMethodName, java.lang.String setMethodName, java.lang.String fieldName)` Deprecated. PUBLIC: Add a direct to field mapping to the receiver.
`void` | `addDirectQueryKey(java.lang.String queryKeyName, java.lang.String fieldName)` Deprecated. PUBLIC: Add a query key to the descriptor.
`DatabaseMapping` | `addMapping(DatabaseMapping mapping)` Deprecated. PUBLIC: Add a database mapping to the receiver.
`void` | `addMultipleTableForeignKeyFieldName(java.lang.String fieldNameInSourceTable, java.lang.String fieldNameInTargetTable)` Deprecated. PUBLIC: This protocol can be used to associate multiple tables with foreign key information.
`void` | `addMultipleTablePrimaryKeyFieldName(java.lang.String fieldNameInSourceTable, java.lang.String fieldNameInTargetTable)` Deprecated. PUBLIC: This protocol can be used to map the primary key field names in a multiple table descriptor.
`void` | `addPrimaryKeyField(DatabaseField field)` Deprecated. ADVANCED: Specify the primary key field of the descriptors table.
`void` | `addPrimaryKeyFieldName(java.lang.String fieldName)` Deprecated. PUBLIC: Specify the primary key field of the descriptors table.
`void` | `addQueryKey(QueryKey queryKey)` Deprecated. PUBLIC: Add a query key to the descriptor.
`void` | `addTableName(java.lang.String tableName)` Deprecated. PUBLIC: Specify the table name for the class of objects the receiver describes.
`void` | `alwaysConformResultsInUnitOfWork()` Deprecated. PUBLIC: Used to set the descriptor to always conform in any unit of work query.
`void` | `alwaysRefreshCache()` Deprecated. PUBLIC: This method is the equivalent of calling `setShouldAlwaysRefreshCache(boolean)` with an argument of `true`: it configures a `Descriptor` to always refresh the cache if data is received from the database by any query.
`void` | `alwaysRefreshCacheOnRemote()` Deprecated. PUBLIC: This method is the equivalent of calling `setShouldAlwaysRefreshCacheOnRemote(boolean)` with an argument of `true`: it configures a `Descriptor` to always remotely refresh the cache if data is received from the database by any query in a `RemoteSession`.
`void` | `applyAmendmentMethod()` Deprecated. ADVANCED: Call the descriptor amendment method.
`void` | `createCopyPolicy(java.lang.String policyType)` Deprecated. PUBLIC: Create a copy policy of the type passed in as a string.
`void` | `createInstantiationPolicy(java.lang.String policyType)` Deprecated. PUBLIC: Create a instantiation policy of the type passed in as a string.
`void` | `descriptorIsAggregate()` Deprecated. PUBLIC: Sets the descriptor to be an aggregate.
`void` | `descriptorIsAggregateCollection()` Deprecated. PUBLIC: Sets the descriptor to be part of an aggregate collection.
`void` | `descriptorIsForInterface()` Deprecated. PUBLIC: Sets the descriptor to be for an interface.
`void` | `descriptorIsNormal()` Deprecated. PUBLIC: Sets the descriptor to be normal.
`void` | `disableCacheHits()` Deprecated. PUBLIC: Allow for cache hits on primary key read object queries to be disabled.
`void` | `disableCacheHitsOnRemote()` Deprecated. PUBLIC: Allow for remote session cache hits on primary key read object queries to be disabled.
`void` | `dontAlwaysConformResultsInUnitOfWork()` Deprecated. PUBLIC: The descriptor is defined to not conform the results in unit of work in read query.
`void` | `dontAlwaysRefreshCache()` Deprecated. PUBLIC: This method is the equivalent of calling `setShouldAlwaysRefreshCache(boolean)` with an argument of `false`: it ensures that a `Descriptor` is not configured to always refresh the cache if data is received from the database by any query.
`void` | `dontAlwaysRefreshCacheOnRemote()` Deprecated. PUBLIC: This method is the equivalent of calling `setShouldAlwaysRefreshCacheOnRemote(boolean)` with an argument of `false`: it ensures that a `Descriptor` is not configured to always remotely refresh the cache if data is received from the database by any query in a `RemoteSession`.
`void` | `dontDisableCacheHits()` Deprecated. PUBLIC: Allow for cache hits on primary key read object queries.
`void` | `dontDisableCacheHitsOnRemote()` Deprecated. PUBLIC: Allow for remote session cache hits on primary key read object queries.
`void` | `dontOnlyRefreshCacheIfNewerVersion()` Deprecated. PUBLIC: This method is the equivalent of calling `setShouldOnlyRefreshCacheIfNewerVersion(boolean)` with an argument of `false`: it ensures that a `Descriptor` is not configured to only refresh the cache if the data received from the database by a query is newer than the data in the cache (as determined by the optimistic locking field).
`java.lang.String` | `getAlias()` Deprecated. PUBLIC: Get the alias
`java.lang.Class` | `getAmendmentClass()` Deprecated. PUBLIC: Return the amendment class.
`java.lang.String` | `getAmendmentMethodName()` Deprecated. PUBLIC: Return the amendment method.
`CacheInvalidationPolicy` | `getCacheInvalidationPolicy()` Deprecated. PUBLIC: Return the CacheInvalidationPolicy for this descriptor For uninitialized cache invalidation policies, this will return a NoExpiryCacheInvalidationPolicy
`int` | `getCacheSynchronizationType()` Deprecated. PUBLIC: Get a value indicating the type of cache synchronization that will be used on objects of this type.
`CMPPolicy` | `getCMPPolicy()` Deprecated. ADVANCED: Return the cmp descriptor that holds cmp specific information.
`java.util.Vector` | `getConstraintDependencies()` Deprecated. ADVANCED: TopLink automatically orders database access through the foreign key information provided in 1:1 and 1:m mappings.
`int` | `getDescriptorType()` Deprecated. ADVANCED: return the descriptor type (NORMAL by default, others include INTERFACE, AGGREGATE, AGGREGATE COLLECTION)
`DescriptorEventManager` | `getEventManager()` Deprecated. PUBLIC: Get the event manager for the descriptor.
`FetchGroupManager` | `getFetchGroupManager()` Deprecated. PUBLIC: Get the fetch group manager for the descriptor.
`HistoryPolicy` | `getHistoryPolicy()` Deprecated. PUBLIC: Return this descriptors HistoryPolicy.
`int` | `getIdentityMapSize()` Deprecated. PUBLIC: Return the size of the identity map.
`InheritancePolicy` | `getInheritancePolicy()` Deprecated. PUBLIC: The inheritance policy is used to define how a descriptor takes part in inheritance.
`InterfacePolicy` | `getInterfacePolicy()` Deprecated. PUBLIC: Returns the InterfacePolicy.
`java.lang.Class` | `getJavaClass()` Deprecated. PUBLIC: Return the java class.
`java.lang.String` | `getJavaClassName()` Deprecated. Return the class name, used by the MW.
`DatabaseMapping` | `getMappingForAttributeName(java.lang.String attributeName)` Deprecated. PUBLIC: Returns the mapping associated with a given attribute name.
`java.util.Vector` | `getMappings()` Deprecated. PUBLIC: Returns mappings
`oracle.toplink.descriptors.changetracking.ObjectChangePolicy` | `getObjectChangePolicy()` Deprecated. PUBLIC: Return this objects ObjectChangePolicy.
`OptimisticLockingPolicy` | `getOptimisticLockingPolicy()` Deprecated. PUBLIC: Returns the OptimisticLockingPolicy.
`java.util.Vector` | `getPrimaryKeyFieldNames()` Deprecated. PUBLIC: Return the names of all the primary keys.
`java.util.Hashtable` | `getProperties()` Deprecated. PUBLIC: Returns the user defined properties.
`java.lang.Object` | `getProperty(java.lang.String name)` Deprecated. PUBLIC: Returns the descriptor property associated the given String.
`java.util.Hashtable` | `getQueryKeys()` Deprecated. PUBLIC: Return the query keys.
`DescriptorQueryManager` | `getQueryManager()` Deprecated. PUBLIC: Return the queryManager.
`int` | `getRemoteIdentityMapSize()` Deprecated. PUBLIC: Return the size of the remote identity map.
`ReturningPolicy` | `getReturningPolicy()` Deprecated. PUBLIC: Return returning policy.
`java.lang.String` | `getSequenceNumberFieldName()` Deprecated. PUBLIC: Get sequence number field name
`java.lang.String` | `getSequenceNumberName()` Deprecated. PUBLIC: Get sequence number name
`java.lang.String` | `getTableName()` Deprecated. PUBLIC: Return the name of the descriptor's first table.
`java.util.Vector` | `getTableNames()` Deprecated. PUBLIC: Return the table names.
`WrapperPolicy` | `getWrapperPolicy()` Deprecated. ADVANCED: Return the WrapperPolicy for this descriptor.
`boolean` | `isAggregateCollectionDescriptor()` Deprecated. PUBLIC: Return true if this descriptor is an aggregate collection descriptor
`boolean` | `isAggregateDescriptor()` Deprecated. PUBLIC: Return true if this descriptor is an aggregate descriptor
`boolean` | `isChildDescriptor()` Deprecated. PUBLIC: Return if the descriptor defines inheritence and is a child.
`boolean` | `isDescriptorForInterface()` Deprecated. PUBLIC: Return if the java class is interface
`boolean` | `isIsolated()` Deprecated. PUBLIC: Returns true if the descriptor represents an isolated class
`void` | `onlyRefreshCacheIfNewerVersion()` Deprecated. PUBLIC: PUBLIC: This method is the equivalent of calling `setShouldOnlyRefreshCacheIfNewerVersion(boolean)` with an argument of `true`: it configures a `Descriptor` to only refresh the cache if the data received from the database by a query is newer than the data in the cache (as determined by the optimistic locking field) and as long as one of the following is true: the `Descriptor` was configured by calling `alwaysRefreshCache()` or `alwaysRefreshCacheOnRemote()`, the query was configured by calling `ObjectLevelReadQuery.refreshIdentityMapResult()`, or the query was a call to `Session.refreshObject(java.lang.Object)` However, if a query hits the cache, data is not refreshed regardless of how this setting is configured.
`DatabaseMapping` | `removeMappingForAttributeName(java.lang.String attributeName)` Deprecated. ADVANCED: Removes the locally defined mapping associated with a given attribute name.
`void` | `removeProperty(java.lang.String property)` Deprecated. PUBLIC: Remove the user defined property.
`void` | `setAlias(java.lang.String alias)` Deprecated. PUBLIC: Set the alias
`void` | `setAmendmentClass(java.lang.Class amendmentClass)` Deprecated. PUBLIC: Set the amendment class.
`void` | `setAmendmentMethodName(java.lang.String amendmentMethodName)` Deprecated. PUBLIC: Set the amendment method.
`void` | `setCacheInvalidationPolicy(CacheInvalidationPolicy policy)` Deprecated. PUBLIC: Set the Cache Invalidation Policy for this descriptor
`void` | `setCacheSynchronizationType(int type)` Deprecated. PUBLIC: Set the type of cache synchonization that will be used on objects of this type.
`void` | `setCMPPolicy(CMPPolicy newCMPPolicy)` Deprecated. ADVANCED: Set the cmp descriptor that holds cmp specific information.
`void` | `setConstraintDependencies(java.util.Vector constraintDependencies)` Deprecated. ADVANCED: TopLink automatically orders database access through the foreign key information provided in 1:1 and 1:m mappings.
`void` | `setDefaultTableName(java.lang.String defaultTableName)` Deprecated. PUBLIC: The descriptors default table can be configured if the first table is not desired.
`void` | `setDescriptorType(int descriptorType)` Deprecated. ADVANCED: set the descriptor type (NORMAL by default, others include INTERFACE, AGGREGATE, AGGREGATE COLLECTION)
`void` | `setFetchGroupManager(FetchGroupManager fetchGroupManager)` Deprecated. PUBLIC: Set the fetch group manager for the descriptor.
`void` | `setHistoryPolicy(HistoryPolicy policy)` Deprecated. PUBLIC: Set the HistoryPolicy for this descriptor.
`void` | `setIdentityMapClass(java.lang.Class theIdentityMapClass)` Deprecated. PUBLIC: Set the class of identity map to be used by this descriptor.
`void` | `setIdentityMapSize(int identityMapSize)` Deprecated. PUBLIC: Set the size of the identity map to be used by this descriptor.
`void` | `setIsIsolated(boolean isIsolated)` Deprecated. PUBLIC: Used to set if the class that this descriptor represents should be isolated from the shared cache.
`void` | `setJavaClass(java.lang.Class theJavaClass)` Deprecated. PUBLIC: Set the Java class that this descriptor maps.
`void` | `setJavaInterface(java.lang.Class theJavaInterface)` Deprecated. PUBLIC: Sets the descriptor to be for an interface.
`void` | `setMultipleTableInsertOrder(java.util.Vector newValue)` Deprecated. ADVANCED: Sets the Vector of DatabaseTables in the order which INSERTS should take place.
`void` | `setObjectChangePolicy(oracle.toplink.descriptors.changetracking.ObjectChangePolicy policy)` Deprecated. PUBLIC: Set the ObjectChangePolicy for this descriptor.
`void` | `setOptimisticLockingPolicy(OptimisticLockingPolicy optimisticLockingPolicy)` Deprecated. PUBLIC: Set the OptimisticLockingPolicy.
`void` | `setPrimaryKeyFieldName(java.lang.String fieldName)` Deprecated. PUBLIC: Specify the primary key field of the descriptors table.
`void` | `setPrimaryKeyFieldNames(java.util.Vector primaryKeyFieldsName)` Deprecated. PUBLIC: User can specify a vector of all the primary key field names if primary key is composite.
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Deprecated. PUBLIC: Set the user defined property.
`void` | `setReadOnly()` Deprecated. PUBLIC: Set the descriptor to be read-only.
`void` | `setRemoteIdentityMapClass(java.lang.Class theIdentityMapClass)` Deprecated. PUBLIC: Set the class of identity map to be used by this descriptor.
`void` | `setRemoteIdentityMapSize(int identityMapSize)` Deprecated. PUBLIC: Set the size of the identity map to be used by this descriptor.
`void` | `setReturningPolicy(ReturningPolicy returningPolicy)` Deprecated. PUBLIC: Sets the returning policy.
`void` | `setSequenceNumberFieldName(java.lang.String fieldName)` Deprecated. PUBLIC: Set the sequence number field name.
`void` | `setSequenceNumberName(java.lang.String name)` Deprecated. PUBLIC: Set the sequence number name.
`void` | `setShouldAlwaysConformResultsInUnitOfWork(boolean shouldAlwaysConformResultsInUnitOfWork)` Deprecated. PUBLIC: set if the descriptor is defined to always conform the results in unit of work in read query.
`void` | `setShouldAlwaysRefreshCache(boolean shouldAlwaysRefreshCache)` Deprecated. PUBLIC: When the `shouldAlwaysRefreshCache` argument passed into this method is `true`, this method configures a `Descriptor` to always refresh the cache if data is received from the database by any query.
`void` | `setShouldAlwaysRefreshCacheOnRemote(boolean shouldAlwaysRefreshCacheOnRemote)` Deprecated. PUBLIC: When the `shouldAlwaysRefreshCacheOnRemote` argument passed into this method is `true`, this method configures a `Descriptor` to always remotely refresh the cache if data is received from the database by any query in a `RemoteSession`.
`void` | `setShouldBeReadOnly(boolean shouldBeReadOnly)` Deprecated. PUBLIC: Define if the descriptor reference class is read-only
`void` | `setShouldDisableCacheHits(boolean shouldDisableCacheHits)` Deprecated. PUBLIC: Set if cache hits on primary key read object queries should be disabled.
`void` | `setShouldDisableCacheHitsOnRemote(boolean shouldDisableCacheHitsOnRemote)` Deprecated. PUBLIC: Set if the remote session cache hits on primary key read object queries is allowed or not.
`void` | `setShouldOnlyRefreshCacheIfNewerVersion(boolean shouldOnlyRefreshCacheIfNewerVersion)` Deprecated. PUBLIC: When the `shouldOnlyRefreshCacheIfNewerVersion` argument passed into this method is `true`, this method configures a `Descriptor` to only refresh the cache if the data received from the database by a query is newer than the data in the cache (as determined by the optimistic locking field) and as long as one of the following is true: the `Descriptor` was configured by calling `alwaysRefreshCache()` or `alwaysRefreshCacheOnRemote()`, the query was configured by calling `ObjectLevelReadQuery.refreshIdentityMapResult()`, or the query was a call to `Session.refreshObject(java.lang.Object)` However, if a query hits the cache, data is not refreshed regardless of how this setting is configured.
`void` | `setShouldOrderMappings(boolean shouldOrderMappings)` Deprecated. PUBLIC: This is set to turn off the ordering of mappings.
`void` | `setTableName(java.lang.String tableName)` Deprecated. PUBLIC: Specify the table name for the class of objects the receiver describes.
`void` | `setTableNames(java.util.Vector tableNames)` Deprecated. PUBLIC: Specify the all table names for the class of objects the receiver describes.
`void` | `setTableQualifier(java.lang.String tableQualifier)` Deprecated. PUBLIC: Set the table Qualifier for this descriptor.
`void` | `setWrapperPolicy(WrapperPolicy wrapperPolicy)` Deprecated. ADVANCED: Sets the WrapperPolicy for this descriptor.
`boolean` | `shouldAlwaysConformResultsInUnitOfWork()` Deprecated. PUBLIC: Return if the descriptor is defined to always conform the results in unit of work in read query.
`boolean` | `shouldAlwaysRefreshCache()` Deprecated. PUBLIC: This method returns `true` if the `Descriptor` is configured to always refresh the cache if data is received from the database by any query.
`boolean` | `shouldAlwaysRefreshCacheOnRemote()` Deprecated. PUBLIC: This method returns `true` if the `Descriptor` is configured to always remotely refresh the cache if data is received from the database by any query in a `RemoteSession`.
`boolean` | `shouldBeReadOnly()` Deprecated. PUBLIC: Return if the descriptor reference class is defined as read-only
`boolean` | `shouldDisableCacheHits()` Deprecated. PUBLIC: Return if for cache hits on primary key read object queries to be disabled.
`boolean` | `shouldDisableCacheHitsOnRemote()` Deprecated. PUBLIC: Return if the remote server session cache hits on primary key read object queries is aloowed or not.
`boolean` | `shouldOnlyRefreshCacheIfNewerVersion()` Deprecated. PUBLIC: This method returns `true` if the `Descriptor` is configured to only refresh the cache if the data received from the database by a query is newer than the data in the cache (as determined by the optimistic locking field).
`boolean` | `shouldUseCacheIdentityMap()` Deprecated. PUBLIC: Return true if this descriptor is using CacheIdentityMap
`boolean` | `shouldUseFullIdentityMap()` Deprecated. PUBLIC: Return true if this descriptor is using FullIdentityMap
`boolean` | `shouldUseHardCacheWeakIdentityMap()` Deprecated. PUBLIC: Return true if this descriptor is using HardCacheWeakIdentityMap.
`boolean` | `shouldUseNoIdentityMap()` Deprecated. PUBLIC: Return true if this descriptor is using NoIdentityMap
`boolean` | `shouldUseRemoteCacheIdentityMap()` Deprecated. PUBLIC: Return true if this descriptor is using CacheIdentityMap
`boolean` | `shouldUseRemoteFullIdentityMap()` Deprecated. PUBLIC: Return true if this descriptor is using FullIdentityMap
`boolean` | `shouldUseRemoteHardCacheWeakIdentityMap()` Deprecated. PUBLIC: Return true if this descriptor is using HardCacheWeakIdentityMap
`boolean` | `shouldUseRemoteNoIdentityMap()` Deprecated. PUBLIC: Return true if this descriptor is using NoIdentityMap
`boolean` | `shouldUseRemoteSoftCacheWeakIdentityMap()` Deprecated. PUBLIC: Return true if this descriptor is using SoftCacheWeakIdentityMap
`boolean` | `shouldUseRemoteWeakIdentityMap()` Deprecated. PUBLIC: Return true if this descriptor is using WeakIdentityMap
`boolean` | `shouldUseSoftCacheWeakIdentityMap()` Deprecated. PUBLIC: Return true if this descriptor is using SoftCacheWeakIdentityMap.
`boolean` | `shouldUseWeakIdentityMap()` Deprecated. PUBLIC: Return true if this descriptor is using WeakIdentityMap
`java.lang.String` | `toString()` Deprecated. PUBLIC: Returns a brief string representation of the receiver.
`void` | `useAllFieldsLocking()` Deprecated. PUBLIC: Set the locking policy an all fields locking policy.
`void` | `useCacheIdentityMap()` Deprecated. PUBLIC: Set the class of identity map to be the cache identity map.
`void` | `useChangedFieldsLocking()` Deprecated. PUBLIC: Set the locking policy a changed fields locking policy.
`void` | `useCloneCopyPolicy()` Deprecated. PUBLIC: Specifies that the creation of clones within a unit of work is done by sending the #clone() method to the original object.
`void` | `useCloneCopyPolicy(java.lang.String cloneMethodName)` Deprecated. PUBLIC: Specifies that the creation of clones within a unit of work is done by sending the cloneMethodName method to the original object.
`void` | `useDefaultConstructorInstantiationPolicy()` Deprecated. PUBLIC: Use the default constructor to create new instances of objects built from the database.
`void` | `useFactoryInstantiationPolicy(java.lang.Class factoryClass, java.lang.String methodName)` Deprecated. PUBLIC: Use an object factory to create new instances of objects built from the database.
`void` | `useFactoryInstantiationPolicy(java.lang.Class factoryClass, java.lang.String methodName, java.lang.String factoryMethodName)` Deprecated. PUBLIC: Use an object factory to create new instances of objects built from the database.
`void` | `useFactoryInstantiationPolicy(java.lang.Object factory, java.lang.String methodName)` Deprecated. PUBLIC: Use an object factory to create new instances of objects built from the database.
`void` | `useFullIdentityMap()` Deprecated. PUBLIC: Set the class of identity map to be the full identity map.
`void` | `useHardCacheWeakIdentityMap()` Deprecated. PUBLIC: Set the class of identity map to be the hard cache weak identity map.
`void` | `useInstantiationCopyPolicy()` Deprecated. PUBLIC: Specifies that the creation of clones within a unit of work is done by building a new instance using the technique indicated by the descriptor's instantiation policy (which by default is to use the the default constructor).
`void` | `useMethodInstantiationPolicy(java.lang.String staticMethodName)` Deprecated. PUBLIC: Use the specified static method to create new instances of objects built from the database.
`void` | `useNoIdentityMap()` Deprecated. PUBLIC: Set the class of identity map to be the no identity map.
`void` | `useRemoteCacheIdentityMap()` Deprecated. PUBLIC: Set the class of identity map to be the cache identity map.
`void` | `useRemoteFullIdentityMap()` Deprecated. PUBLIC: Set the class of identity map to be the full identity map.
`void` | `useRemoteHardCacheWeakIdentityMap()` Deprecated. PUBLIC: Set the class of identity map to be the hard cache weak identity map.
`void` | `useRemoteNoIdentityMap()` Deprecated. PUBLIC: Set the class of identity map to be the no identity map.
`void` | `useRemoteSoftCacheWeakIdentityMap()` Deprecated. PUBLIC: Set the class of identity map to be the soft cache weak identity map.
`void` | `useRemoteWeakIdentityMap()` Deprecated. PUBLIC: Set the class of identity map to be the weak identity map.
`void` | `useSelectedFieldsLocking(java.util.Vector fieldNames)` Deprecated. PUBLIC: Set the locking policy a selected fields locking policy.
`void` | `useSoftCacheWeakIdentityMap()` Deprecated. PUBLIC: Set the class of identity map to be the soft cache weak identity map.
`boolean` | `usesOptimisticLocking()` Deprecated. PUBLIC: Return true if the receiver uses write (optimistic) locking.
`boolean` | `usesSequenceNumbers()` Deprecated. PUBLIC: Return true if the receiver uses sequence numbers.
`void` | `useTimestampLocking(java.lang.String writeLockFieldName)` Deprecated. PUBLIC: Use the Timestamps locking policy and storing the value in the cache key #see useVersionLocking(String)
`void` | `useTimestampLocking(java.lang.String writeLockFieldName, boolean shouldStoreInCache)` Deprecated. PUBLIC: Set the locking policy to use timestamp version locking.
`void` | `useVersionLocking(java.lang.String writeLockFieldName)` Deprecated. PUBLIC: Default to use the version locking policy and storing the value in the cache key #see useVersionLocking(String)
`void` | `useVersionLocking(java.lang.String writeLockFieldName, boolean shouldStoreInCache)` Deprecated. PUBLIC: Set the locking policy to use numeric version locking.
`void` | `useWeakIdentityMap()` Deprecated. PUBLIC: Set the class of identity map to be the weak identity map.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNDEFINED_OBJECT_CHANGE_BEHAVIOR

    public static final int UNDEFINED_OBJECT_CHANGE_BEHAVIOR

  Deprecated.
  See Also:
    Constant Field Values

### SEND_OBJECT_CHANGES

    public static final int SEND_OBJECT_CHANGES

  Deprecated.
  See Also:
    Constant Field Values

### INVALIDATE_CHANGED_OBJECTS

    public static final int INVALIDATE_CHANGED_OBJECTS

  Deprecated.
  See Also:
    Constant Field Values

### SEND_NEW_OBJECTS_WITH_CHANGES

    public static final int SEND_NEW_OBJECTS_WITH_CHANGES

  Deprecated.
  See Also:
    Constant Field Values

### DO_NOT_SEND_CHANGES

    public static final int DO_NOT_SEND_CHANGES

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### Descriptor

    public Descriptor()

  Deprecated.
  PUBLIC: Return a new descriptor.

Method Detail

### addAbstractQueryKey

    public void addAbstractQueryKey(java.lang.String queryKeyName)

  Deprecated.
  PUBLIC: This method should only be used for interface descriptors. It adds an abstract query key to the interface descriptor. Any implementors of that interface must define the query key defined by this abstract query key.

### addConstraintDependencies

    public void addConstraintDependencies(java.lang.Class dependencies)

  Deprecated.
  ADVANCED: TopLink automatically orders database access through the foreign key information provided in 1:1 and 1:m mappings. In some case when 1:1 are not defined it may be required to tell the descriptor about a constraint, this defines that this descriptor has a foreign key constraint to another class and must be inserted after instances of the other class.

### addDirectMapping

    public DatabaseMapping addDirectMapping(java.lang.String attributeName,
                                            java.lang.String fieldName)

  Deprecated.
  PUBLIC: Add a direct to field mapping to the receiver. The new mapping specifies that an instance variable of the class of objects which the receiver describes maps in the default manner for its type to the indicated database field.
  Returns:
    The newly created DatabaseMapping is returned.

### addDirectMapping

    public DatabaseMapping addDirectMapping(java.lang.String attributeName,
                                            java.lang.String getMethodName,
                                            java.lang.String setMethodName,
                                            java.lang.String fieldName)

  Deprecated.
  PUBLIC: Add a direct to field mapping to the receiver. The new mapping specifies that a variable accessed by the get and set methods of the class of objects which the receiver describes maps in the default manner for its type to the indicated database field.

### addDirectQueryKey

    public void addDirectQueryKey(java.lang.String queryKeyName,
                                  java.lang.String fieldName)

  Deprecated.
  PUBLIC: Add a query key to the descriptor. Query keys define Java aliases to database fields.

### addMapping

    public DatabaseMapping addMapping(DatabaseMapping mapping)

  Deprecated.
  PUBLIC: Add a database mapping to the receiver. Perform any required initialization of both the mapping and the receiving descriptor as a result of adding the new mapping.

### addMultipleTableForeignKeyFieldName

    public void addMultipleTableForeignKeyFieldName(java.lang.String fieldNameInSourceTable,
                                                    java.lang.String fieldNameInTargetTable)
                                             throws DescriptorException

  Deprecated.
  PUBLIC: This protocol can be used to associate multiple tables with foreign key information. The join criteria will be generated based on the fields provided. By default TopLink associates multiple tables using a primary key join where the primary keys fields are named the same.
  Throws:
    `DescriptorException`

### addMultipleTablePrimaryKeyFieldName

    public void addMultipleTablePrimaryKeyFieldName(java.lang.String fieldNameInSourceTable,
                                                    java.lang.String fieldNameInTargetTable)
                                             throws DescriptorException

  Deprecated.
  PUBLIC: This protocol can be used to map the primary key field names in a multiple table descriptor. By default TopLink assumes that all of the primary key fields are named the same.
  Throws:
    `DescriptorException`

### addPrimaryKeyFieldName

    public void addPrimaryKeyFieldName(java.lang.String fieldName)

  Deprecated.
  PUBLIC: Specify the primary key field of the descriptors table. This should be called for each field that makes up the primary key of the table. If the descriptor has many tables, this must be the primary key in the first table, if the other tables have the same primary key nothing else is required, otherwise a primary key/foreign key field mapping must be provided for each of the other tables.
  See Also:
    `#addMultipleTableForeignKeyFieldName(String, String);`

### addPrimaryKeyField

    public void addPrimaryKeyField(DatabaseField field)

  Deprecated.
  ADVANCED: Specify the primary key field of the descriptors table. This should be called for each field that makes up the primary key of the table. This can be used for advanced field types, such as XML nodes, or to set the field type.

### addQueryKey

    public void addQueryKey(QueryKey queryKey)

  Deprecated.
  PUBLIC: Add a query key to the descriptor. Query keys define Java aliases to database fields.

### addTableName

    public void addTableName(java.lang.String tableName)

  Deprecated.
  PUBLIC: Specify the table name for the class of objects the receiver describes. If the table has a qualifier it should be specified using the dot notation, (i.e. "userid.employee"). This method is used if there is more than one table.

### alwaysConformResultsInUnitOfWork

    public void alwaysConformResultsInUnitOfWork()

  Deprecated.
  PUBLIC: Used to set the descriptor to always conform in any unit of work query.

### alwaysRefreshCache

    public void alwaysRefreshCache()

  Deprecated.
  PUBLIC: This method is the equivalent of calling `setShouldAlwaysRefreshCache(boolean)` with an argument of `true`: it configures a `Descriptor` to always refresh the cache if data is received from the database by any query.

  However, if a query hits the cache, data is not refreshed regardless of how this setting is configured. For example, by default, when a query for a single object based on its primary key is executed, OracleAS TopLink will first look in the cache for the object. If the object is in the cache, the cached object is returned and data is not refreshed. To avoid cache hits, use the `disableCacheHits()` method.

  Also note that the `UnitOfWork` will not refresh its registered objects.

  Use this property with caution because it can lead to poor performance and may refresh on queries when it is not desired. Normally, if you require fresh data, it is better to configure a query with `ObjectLevelReadQuery.refreshIdentityMapResult()`. To ensure that refreshes are only done when required, use this method in conjunction with `onlyRefreshCacheIfNewerVersion()`.

  See Also:
    `dontAlwaysRefreshCache()`

### alwaysRefreshCacheOnRemote

    public void alwaysRefreshCacheOnRemote()

  Deprecated.
  PUBLIC: This method is the equivalent of calling `setShouldAlwaysRefreshCacheOnRemote(boolean)` with an argument of `true`: it configures a `Descriptor` to always remotely refresh the cache if data is received from the database by any query in a `RemoteSession`.

  However, if a query hits the cache, data is not refreshed regardless of how this setting is configured. For example, by default, when a query for a single object based on its primary key is executed, OracleAS TopLink will first look in the cache for the object. If the object is in the cache, the cached object is returned and data is not refreshed. To avoid cache hits, use the `disableCacheHitsOnRemote()` method.

  Also note that the `UnitOfWork` will not refresh its registered objects.

  Use this property with caution because it can lead to poor performance and may refresh on queries when it is not desired. Normally, if you require fresh data, it is better to configure a query with `ObjectLevelReadQuery.refreshIdentityMapResult()`. To ensure that refreshes are only done when required, use this method in conjunction with `#refreshOnlyIfNewerVersion`.

  See Also:
    `dontAlwaysRefreshCacheOnRemote()`

### applyAmendmentMethod

    public void applyAmendmentMethod()

  Deprecated.
  ADVANCED: Call the descriptor amendment method. This is called while loading or creating a descriptor that has an amendment method defined.

### createCopyPolicy

    public void createCopyPolicy(java.lang.String policyType)

  Deprecated.
  PUBLIC: Create a copy policy of the type passed in as a string.

### createInstantiationPolicy

    public void createInstantiationPolicy(java.lang.String policyType)

  Deprecated.
  PUBLIC: Create a instantiation policy of the type passed in as a string.

### descriptorIsAggregate

    public void descriptorIsAggregate()

  Deprecated.
  PUBLIC: Sets the descriptor to be an aggregate. An aggregate descriptor is contained within another descriptor's table. Aggregate descriptors are insert/updated/deleted with their owner and cannot exist without their owner as they share the same row. Aggregates are not cached (they are cached as part of their owner) and cannot be read/written/deleted/registered. All aggregate descriptors must call this.

### descriptorIsAggregateCollection

    public void descriptorIsAggregateCollection()

  Deprecated.
  PUBLIC: Sets the descriptor to be part of an aggregate collection. An aggregate collection descriptor stored in a seperate table but some of the fields (the primary key) comes from its owner. Aggregate collection descriptors are insert/updated/deleted with their owner and cannot exist without their owner as they share the primary key. Aggregate collections are not cached (they are cached as part of their owner) and cannot be read/written/deleted/registered. All aggregate collection descriptors must call this.

### descriptorIsForInterface

    public void descriptorIsForInterface()

  Deprecated.
  PUBLIC: Sets the descriptor to be for an interface. An interface descriptor allows for other classes to reference an interface or one of serveral other classes. The implementor classes can be completely unrelated in term of the database stored in distinct tables. Queries can also be done for the interface which will query each of the implementor classes. An interface descriptor cannot define any mappings as an interface is just API and not state, a interface descriptor should define the common query key of its implementors to allow querying. An interface descriptor also does not define a primary key or table or other settings. If an interface only has a single implementor (i.e. a classes public interface or remote) then an interface descriptor should not be defined for it and relationships should be to the implementor class not the interface, in this case the implementor class can add the interface through its interface policy to map queries on the interface to it.

### descriptorIsNormal

    public void descriptorIsNormal()

  Deprecated.
  PUBLIC: Sets the descriptor to be normal. This is the default and means the descriptor is not aggregate or for an interface.

### disableCacheHits

    public void disableCacheHits()

  Deprecated.
  PUBLIC: Allow for cache hits on primary key read object queries to be disabled. This can be used with `alwaysRefreshCache()` or `alwaysRefreshCacheOnRemote()` to ensure queries always go to the database.

### disableCacheHitsOnRemote

    public void disableCacheHitsOnRemote()

  Deprecated.
  PUBLIC: Allow for remote session cache hits on primary key read object queries to be disabled. This can be used with alwaysRefreshCacheOnRemote() to ensure queries always go to the server sesion cache.
  See Also:
    `alwaysRefreshCacheOnRemote()`

### dontAlwaysConformResultsInUnitOfWork

    public void dontAlwaysConformResultsInUnitOfWork()

  Deprecated.
  PUBLIC: The descriptor is defined to not conform the results in unit of work in read query. Default.

### dontAlwaysRefreshCache

    public void dontAlwaysRefreshCache()

  Deprecated.
  PUBLIC: This method is the equivalent of calling `setShouldAlwaysRefreshCache(boolean)` with an argument of `false`: it ensures that a `Descriptor` is not configured to always refresh the cache if data is received from the database by any query.
  See Also:
    `alwaysRefreshCache()`

### dontAlwaysRefreshCacheOnRemote

    public void dontAlwaysRefreshCacheOnRemote()

  Deprecated.
  PUBLIC: This method is the equivalent of calling `setShouldAlwaysRefreshCacheOnRemote(boolean)` with an argument of `false`: it ensures that a `Descriptor` is not configured to always remotely refresh the cache if data is received from the database by any query in a `RemoteSession`.
  See Also:
    `alwaysRefreshCacheOnRemote()`

### dontDisableCacheHits

    public void dontDisableCacheHits()

  Deprecated.
  PUBLIC: Allow for cache hits on primary key read object queries.
  See Also:
    `disableCacheHits()`

### dontDisableCacheHitsOnRemote

    public void dontDisableCacheHitsOnRemote()

  Deprecated.
  PUBLIC: Allow for remote session cache hits on primary key read object queries.
  See Also:
    `disableCacheHitsOnRemote()`

### dontOnlyRefreshCacheIfNewerVersion

    public void dontOnlyRefreshCacheIfNewerVersion()

  Deprecated.
  PUBLIC: This method is the equivalent of calling `setShouldOnlyRefreshCacheIfNewerVersion(boolean)` with an argument of `false`: it ensures that a `Descriptor` is not configured to only refresh the cache if the data received from the database by a query is newer than the data in the cache (as determined by the optimistic locking field).
  See Also:
    `onlyRefreshCacheIfNewerVersion()`

### getAlias

    public java.lang.String getAlias()

  Deprecated.
  PUBLIC: Get the alias

### getAmendmentClass

    public java.lang.Class getAmendmentClass()

  Deprecated.
  PUBLIC: Return the amendment class. The amendment method will be called on the class before initialization to allow for it to initialize the descriptor. The method must be a public static method on the class.

### getAmendmentMethodName

    public java.lang.String getAmendmentMethodName()

  Deprecated.
  PUBLIC: Return the amendment method. This will be called on the amendment class before initialization to allow for it to initialize the descriptor. The method must be a public static method on the class.

### getObjectChangePolicy

    public oracle.toplink.descriptors.changetracking.ObjectChangePolicy getObjectChangePolicy()

  Deprecated.
  PUBLIC: Return this objects ObjectChangePolicy.

### getHistoryPolicy

    public HistoryPolicy getHistoryPolicy()

  Deprecated.
  PUBLIC: Return this descriptors HistoryPolicy.

### getCacheInvalidationPolicy

    public CacheInvalidationPolicy getCacheInvalidationPolicy()

  Deprecated.
  PUBLIC: Return the CacheInvalidationPolicy for this descriptor For uninitialized cache invalidation policies, this will return a NoExpiryCacheInvalidationPolicy
  Returns:
    CacheInvalidationPolicy
  See Also:
    `oracle.toplink.descriptors.cacheinvalidation.CacheInvalidationPolicy`

### getCacheSynchronizationType

    public int getCacheSynchronizationType()

  Deprecated.
  PUBLIC: Get a value indicating the type of cache synchronization that will be used on objects of this type. Possible values are: SEND_OBJECT_CHANGES INVALIDATE_CHANGED_OBJECTS SEND_NEW_OBJECTS+WITH_CHANGES DO_NOT_SEND_CHANGES
  Returns:
    int

### getConstraintDependencies

    public java.util.Vector getConstraintDependencies()

  Deprecated.
  ADVANCED: TopLink automatically orders database access through the foreign key information provided in 1:1 and 1:m mappings. In some case when 1:1 are not defined it may be required to tell the descriptor about a constraint, this defines that this descriptor has a foreign key constraint to another class and must be inserted after instances of the other class.

### getDescriptorType

    public int getDescriptorType()

  Deprecated.
  ADVANCED: return the descriptor type (NORMAL by default, others include INTERFACE, AGGREGATE, AGGREGATE COLLECTION)

### getEventManager

    public DescriptorEventManager getEventManager()

  Deprecated.
  PUBLIC: Get the event manager for the descriptor. The event manager is responsible for managing the pre/post selectors.

### getIdentityMapSize

    public int getIdentityMapSize()

  Deprecated.
  PUBLIC: Return the size of the identity map.

### getInheritancePolicy

    public InheritancePolicy getInheritancePolicy()

  Deprecated.
  PUBLIC: The inheritance policy is used to define how a descriptor takes part in inheritance. All inheritance properties for both child and parent classes is configured in inheritance policy. Caution must be used in using this method as it lazy initializes an inheritance policy. Calling this on a descriptor that does not use inheritance will cause problems, #hasInheritance() must always first be called.

### getInterfacePolicy

    public InterfacePolicy getInterfacePolicy()

  Deprecated.
  PUBLIC: Returns the InterfacePolicy. The interface policy allows for a descriptor's public and variable interfaces to be defined. Caution must be used in using this method as it lazy initializes an interface policy. Calling this on a descriptor that does not use interfaces will cause problems, #hasInterfacePolicy() must always first be called.

### getJavaClass

    public java.lang.Class getJavaClass()

  Deprecated.
  PUBLIC: Return the java class.

### getJavaClassName

    public java.lang.String getJavaClassName()

  Deprecated.
  Return the class name, used by the MW.

### getMappingForAttributeName

    public DatabaseMapping getMappingForAttributeName(java.lang.String attributeName)

  Deprecated.
  PUBLIC: Returns the mapping associated with a given attribute name. This can be used to find a descriptors mapping in a amendment method before the descriptor has been initialized.

### removeMappingForAttributeName

    public DatabaseMapping removeMappingForAttributeName(java.lang.String attributeName)

  Deprecated.
  ADVANCED: Removes the locally defined mapping associated with a given attribute name. This can be used in a amendment method before the descriptor has been initialized.

### getMappings

    public java.util.Vector getMappings()

  Deprecated.
  PUBLIC: Returns mappings

### getOptimisticLockingPolicy

    public OptimisticLockingPolicy getOptimisticLockingPolicy()

  Deprecated.
  PUBLIC: Returns the OptimisticLockingPolicy. By default this is an instance of VersionLockingPolicy.

### getPrimaryKeyFieldNames

    public java.util.Vector getPrimaryKeyFieldNames()

  Deprecated.
  PUBLIC: Return the names of all the primary keys.

### getProperties

    public java.util.Hashtable getProperties()

  Deprecated.
  PUBLIC: Returns the user defined properties.

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Deprecated.
  PUBLIC: Returns the descriptor property associated the given String.

### getQueryKeys

    public java.util.Hashtable getQueryKeys()

  Deprecated.
  PUBLIC: Return the query keys.

### getQueryManager

    public DescriptorQueryManager getQueryManager()

  Deprecated.
  PUBLIC: Return the queryManager. The query manager can be used to specify customization of the SQL that TopLink generates for this descriptor.

### getRemoteIdentityMapSize

    public int getRemoteIdentityMapSize()

  Deprecated.
  PUBLIC: Return the size of the remote identity map.

### getReturningPolicy

    public ReturningPolicy getReturningPolicy()

  Deprecated.
  PUBLIC: Return returning policy.

### getSequenceNumberFieldName

    public java.lang.String getSequenceNumberFieldName()

  Deprecated.
  PUBLIC: Get sequence number field name

### getSequenceNumberName

    public java.lang.String getSequenceNumberName()

  Deprecated.
  PUBLIC: Get sequence number name

### getTableName

    public java.lang.String getTableName()

  Deprecated.
  PUBLIC: Return the name of the descriptor's first table. This method must only be called on single table descriptors.

### getTableNames

    public java.util.Vector getTableNames()

  Deprecated.
  PUBLIC: Return the table names.

### getWrapperPolicy

    public WrapperPolicy getWrapperPolicy()

  Deprecated.
  ADVANCED: Return the WrapperPolicy for this descriptor. This advacned feature can be used to wrap objects with other classes such as CORBA TIE objects or EJBs.

### isAggregateCollectionDescriptor

    public boolean isAggregateCollectionDescriptor()

  Deprecated.
  PUBLIC: Return true if this descriptor is an aggregate collection descriptor

### isAggregateDescriptor

    public boolean isAggregateDescriptor()

  Deprecated.
  PUBLIC: Return true if this descriptor is an aggregate descriptor

### isChildDescriptor

    public boolean isChildDescriptor()

  Deprecated.
  PUBLIC: Return if the descriptor defines inheritence and is a child.

### isDescriptorForInterface

    public boolean isDescriptorForInterface()

  Deprecated.
  PUBLIC: Return if the java class is interface

### isIsolated

    public boolean isIsolated()

  Deprecated.
  PUBLIC: Returns true if the descriptor represents an isolated class

### onlyRefreshCacheIfNewerVersion

    public void onlyRefreshCacheIfNewerVersion()

  Deprecated.
  PUBLIC: PUBLIC: This method is the equivalent of calling `setShouldOnlyRefreshCacheIfNewerVersion(boolean)` with an argument of `true`: it configures a `Descriptor` to only refresh the cache if the data received from the database by a query is newer than the data in the cache (as determined by the optimistic locking field) and as long as one of the following is true:
  - the `Descriptor` was configured by calling `alwaysRefreshCache()` or `alwaysRefreshCacheOnRemote()`,
  - the query was configured by calling `ObjectLevelReadQuery.refreshIdentityMapResult()`, or
  - the query was a call to `Session.refreshObject(java.lang.Object)`

  However, if a query hits the cache, data is not refreshed regardless of how this setting is configured. For example, by default, when a query for a single object based on its primary key is executed, OracleAS TopLink will first look in the cache for the object. If the object is in the cache, the cached object is returned and data is not refreshed. To avoid cache hits, use the `disableCacheHits()` method.

  Also note that the `UnitOfWork` will not refresh its registered objects.

  See Also:
    `dontOnlyRefreshCacheIfNewerVersion()`

### removeProperty

    public void removeProperty(java.lang.String property)

  Deprecated.
  PUBLIC: Remove the user defined property.

### setAlias

    public void setAlias(java.lang.String alias)

  Deprecated.
  PUBLIC: Set the alias

### setAmendmentClass

    public void setAmendmentClass(java.lang.Class amendmentClass)

  Deprecated.
  PUBLIC: Set the amendment class. The amendment method will be called on the class before initialization to allow for it to initialize the descriptor. The method must be a public static method on the class.

### setAmendmentMethodName

    public void setAmendmentMethodName(java.lang.String amendmentMethodName)

  Deprecated.
  PUBLIC: Set the amendment method. This will be called on the amendment class before initialization to allow for it to initialize the descriptor. The method must be a public static method on the class.

### setCacheSynchronizationType

    public void setCacheSynchronizationType(int type)

  Deprecated.
  PUBLIC: Set the type of cache synchonization that will be used on objects of this type. Possible values are: SEND_OBJECT_CHANGES INVALIDATE_CHANGED_OBJECTS SEND_NEW_OBJECTS_WITH_CHANGES DO_NOT_SEND_CHANGES Note: Cache Synchronization type cannot be altered for descriptors that are set as isolated using the setIsIsolated method.
  Parameters:
    `type` - int The synchronization type for this descriptor

### setObjectChangePolicy

    public void setObjectChangePolicy(oracle.toplink.descriptors.changetracking.ObjectChangePolicy policy)

  Deprecated.
  PUBLIC: Set the ObjectChangePolicy for this descriptor.

### setHistoryPolicy

    public void setHistoryPolicy(HistoryPolicy policy)

  Deprecated.
  PUBLIC: Set the HistoryPolicy for this descriptor.

### setCacheInvalidationPolicy

    public void setCacheInvalidationPolicy(CacheInvalidationPolicy policy)

  Deprecated.
  PUBLIC: Set the Cache Invalidation Policy for this descriptor
  See Also:
    `oracle.toplink.descriptors.cacheinvalidation.CacheInvalidationPolicy`

### setConstraintDependencies

    public void setConstraintDependencies(java.util.Vector constraintDependencies)

  Deprecated.
  ADVANCED: TopLink automatically orders database access through the foreign key information provided in 1:1 and 1:m mappings. In some case when 1:1 are not defined it may be required to tell the descriptor about a constraint, this defines that this descriptor has a foreign key constraint to another class and must be inserted after instances of the other class.

### setDefaultTableName

    public void setDefaultTableName(java.lang.String defaultTableName)

  Deprecated.
  PUBLIC: The descriptors default table can be configured if the first table is not desired.

### setDescriptorType

    public void setDescriptorType(int descriptorType)

  Deprecated.
  ADVANCED: set the descriptor type (NORMAL by default, others include INTERFACE, AGGREGATE, AGGREGATE COLLECTION)

### setIdentityMapClass

    public void setIdentityMapClass(java.lang.Class theIdentityMapClass)

  Deprecated.
  PUBLIC: Set the class of identity map to be used by this descriptor. The default is the "FullIdentityMap".

### setIdentityMapSize

    public void setIdentityMapSize(int identityMapSize)

  Deprecated.
  PUBLIC: Set the size of the identity map to be used by this descriptor. The default is the 100.

### setReturningPolicy

    public void setReturningPolicy(ReturningPolicy returningPolicy)

  Deprecated.
  PUBLIC: Sets the returning policy.

### setIsIsolated

    public void setIsIsolated(boolean isIsolated)

  Deprecated.
  PUBLIC: Used to set if the class that this descriptor represents should be isolated from the shared cache. Note: Calling this method with true will also set the cacheSynchronizationType to DO_NOT_SEND_CHANGES since isolated objects cannot be sent by TopLink cache synchronization.

### setJavaClass

    public void setJavaClass(java.lang.Class theJavaClass)

  Deprecated.
  PUBLIC: Set the Java class that this descriptor maps. Every descriptor maps one and only one class.

### setJavaInterface

    public void setJavaInterface(java.lang.Class theJavaInterface)

  Deprecated.
  PUBLIC: Sets the descriptor to be for an interface. An interface descriptor allows for other classes to reference an interface or one of serveral other classes. The implementor classes can be completely unrelated in term of the database stored in distinct tables. Queries can also be done for the interface which will query each of the implementor classes. An interface descriptor cannot define any mappings as an interface is just API and not state, a interface descriptor should define the common query key of its implementors to allow querying. An interface descriptor also does not define a primary key or table or other settings. If an interface only has a single implementor (i.e. a classes public interface or remote) then an interface descriptor should not be defined for it and relationships should be to the implementor class not the interface, in this case the implementor class can add the interface through its interface policy to map queries on the interface to it.

### setMultipleTableInsertOrder

    public void setMultipleTableInsertOrder(java.util.Vector newValue)

  Deprecated.
  ADVANCED: Sets the Vector of DatabaseTables in the order which INSERTS should take place. This is normally computed correctly by TopLink, however in advanced cases in it may be overridden.

### setOptimisticLockingPolicy

    public void setOptimisticLockingPolicy(OptimisticLockingPolicy optimisticLockingPolicy)

  Deprecated.
  PUBLIC: Set the OptimisticLockingPolicy. This can be one of the provided locking policies or a user defined policy.
  See Also:
    `VersionLockingPolicy`, `TimestampLockingPolicy`, `FieldsLockingPolicy`

### setPrimaryKeyFieldName

    public void setPrimaryKeyFieldName(java.lang.String fieldName)

  Deprecated.
  PUBLIC: Specify the primary key field of the descriptors table. This should only be called if it is a singlton primary key field, otherwise addPrimaryKeyFieldName should be called. If the descriptor has many tables, this must be the primary key in all of the tables.
  See Also:
    `addPrimaryKeyFieldName(String)`

### setPrimaryKeyFieldNames

    public void setPrimaryKeyFieldNames(java.util.Vector primaryKeyFieldsName)

  Deprecated.
  PUBLIC: User can specify a vector of all the primary key field names if primary key is composite.
  See Also:
    `addPrimaryKeyFieldName(String)`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Deprecated.
  PUBLIC: Set the user defined property.

### setRemoteIdentityMapClass

    public void setRemoteIdentityMapClass(java.lang.Class theIdentityMapClass)

  Deprecated.
  PUBLIC: Set the class of identity map to be used by this descriptor. The default is the "FullIdentityMap".

### setRemoteIdentityMapSize

    public void setRemoteIdentityMapSize(int identityMapSize)

  Deprecated.
  PUBLIC: Set the size of the identity map to be used by this descriptor. The default is the 100.

### setSequenceNumberFieldName

    public void setSequenceNumberFieldName(java.lang.String fieldName)

  Deprecated.
  PUBLIC: Set the sequence number field name. This is the field in the descriptors table that needs its value to be generated. This is normally the primary key field of the descriptor.

### setSequenceNumberName

    public void setSequenceNumberName(java.lang.String name)

  Deprecated.
  PUBLIC: Set the sequence number name. This is the seq_name part of the row stored in the sequence table for this descriptor. If using Oracle native sequencing this is the name of the Oracle sequence object. If using Sybase native sequencing this name has no meaning, but should still be set for compatibility. The name does not have to be unique among descriptors, as having descriptors share sequences can improve pre-allocation performance.

### setShouldAlwaysConformResultsInUnitOfWork

    public void setShouldAlwaysConformResultsInUnitOfWork(boolean shouldAlwaysConformResultsInUnitOfWork)

  Deprecated.
  PUBLIC: set if the descriptor is defined to always conform the results in unit of work in read query.

### setShouldAlwaysRefreshCache

    public void setShouldAlwaysRefreshCache(boolean shouldAlwaysRefreshCache)

  Deprecated.
  PUBLIC: When the `shouldAlwaysRefreshCache` argument passed into this method is `true`, this method configures a `Descriptor` to always refresh the cache if data is received from the database by any query.

  However, if a query hits the cache, data is not refreshed regardless of how this setting is configured. For example, by default, when a query for a single object based on its primary key is executed, OracleAS TopLink will first look in the cache for the object. If the object is in the cache, the cached object is returned and data is not refreshed. To avoid cache hits, use the `disableCacheHits()` method.

  Also note that the `UnitOfWork` will not refresh its registered objects.

  Use this property with caution because it can lead to poor performance and may refresh on queries when it is not desired. Normally, if you require fresh data, it is better to configure a query with `ObjectLevelReadQuery.refreshIdentityMapResult()`. To ensure that refreshes are only done when required, use this method in conjunction with `onlyRefreshCacheIfNewerVersion()`.

  When the `shouldAlwaysRefreshCache` argument passed into this method is `false`, this method ensures that a `Descriptor` is not configured to always refresh the cache if data is received from the database by any query.

  See Also:
    `alwaysRefreshCache()`, `dontAlwaysRefreshCache()`

### setShouldAlwaysRefreshCacheOnRemote

    public void setShouldAlwaysRefreshCacheOnRemote(boolean shouldAlwaysRefreshCacheOnRemote)

  Deprecated.
  PUBLIC: When the `shouldAlwaysRefreshCacheOnRemote` argument passed into this method is `true`, this method configures a `Descriptor` to always remotely refresh the cache if data is received from the database by any query in a `RemoteSession`. However, if a query hits the cache, data is not refreshed regardless of how this setting is configured. For example, by default, when a query for a single object based on its primary key is executed, OracleAS TopLink will first look in the cache for the object. If the object is in the cache, the cached object is returned and data is not refreshed. To avoid cache hits, use the `disableCacheHitsOnRemote()` method.

  Also note that the `UnitOfWork` will not refresh its registered objects.

  Use this property with caution because it can lead to poor performance and may refresh on queries when it is not desired. Normally, if you require fresh data, it is better to configure a query with `ObjectLevelReadQuery.refreshIdentityMapResult()`. To ensure that refreshes are only done when required, use this method in conjunction with `#refreshOnlyIfNewerVersion`.

  When the `shouldAlwaysRefreshCacheOnRemote` argument passed into this method is `false`, this method ensures that a `Descriptor` is not configured to always remotely refresh the cache if data is received from the database by any query in a `RemoteSession`.

  See Also:
    `alwaysRefreshCacheOnRemote()`, `dontAlwaysRefreshCacheOnRemote()`

### setShouldBeReadOnly

    public void setShouldBeReadOnly(boolean shouldBeReadOnly)

  Deprecated.
  PUBLIC: Define if the descriptor reference class is read-only

### setReadOnly

    public void setReadOnly()

  Deprecated.
  PUBLIC: Set the descriptor to be read-only. Declaring a descriptor is read-only means that instances of the reference class will never be modified. Read-only descriptor is usually used in the unit of work to gain porformance as there is no need for the registration, clone and merge for the read-only classes.

### setShouldDisableCacheHits

    public void setShouldDisableCacheHits(boolean shouldDisableCacheHits)

  Deprecated.
  PUBLIC: Set if cache hits on primary key read object queries should be disabled.
  See Also:
    `alwaysRefreshCache()`

### setShouldDisableCacheHitsOnRemote

    public void setShouldDisableCacheHitsOnRemote(boolean shouldDisableCacheHitsOnRemote)

  Deprecated.
  PUBLIC: Set if the remote session cache hits on primary key read object queries is allowed or not.
  See Also:
    `disableCacheHitsOnRemote()`

### setShouldOnlyRefreshCacheIfNewerVersion

    public void setShouldOnlyRefreshCacheIfNewerVersion(boolean shouldOnlyRefreshCacheIfNewerVersion)

  Deprecated.
  PUBLIC: When the `shouldOnlyRefreshCacheIfNewerVersion` argument passed into this method is `true`, this method configures a `Descriptor` to only refresh the cache if the data received from the database by a query is newer than the data in the cache (as determined by the optimistic locking field) and as long as one of the following is true:
  - the `Descriptor` was configured by calling `alwaysRefreshCache()` or `alwaysRefreshCacheOnRemote()`,
  - the query was configured by calling `ObjectLevelReadQuery.refreshIdentityMapResult()`, or
  - the query was a call to `Session.refreshObject(java.lang.Object)`

  However, if a query hits the cache, data is not refreshed regardless of how this setting is configured. For example, by default, when a query for a single object based on its primary key is executed, OracleAS TopLink will first look in the cache for the object. If the object is in the cache, the cached object is returned and data is not refreshed. To avoid cache hits, use the `disableCacheHits()` method.

  Also note that the `UnitOfWork` will not refresh its registered objects.

  When the `shouldOnlyRefreshCacheIfNewerVersion` argument passed into this method is `false`, this method ensures that a `Descriptor` is not configured to only refresh the cache if the data received from the database by a query is newer than the data in the cache (as determined by the optimistic locking field).

  See Also:
    `onlyRefreshCacheIfNewerVersion()`, `dontOnlyRefreshCacheIfNewerVersion()`

### setShouldOrderMappings

    public void setShouldOrderMappings(boolean shouldOrderMappings)

  Deprecated.
  PUBLIC: This is set to turn off the ordering of mappings. By Default this is set to true. By ordering the mappings TopLink insures that object are merged in the right order. If the order of the mappings needs to be specified by the developer then set this to false and TopLink will use the order that the mappings were added to the descriptor

### setTableName

    public void setTableName(java.lang.String tableName)
                      throws DescriptorException

  Deprecated.
  PUBLIC: Specify the table name for the class of objects the receiver describes. If the table has a qualifier it should be specified using the dot notation, (i.e. "userid.employee"). This method is used for single table.
  Throws:
    `DescriptorException`

### setTableNames

    public void setTableNames(java.util.Vector tableNames)

  Deprecated.
  PUBLIC: Specify the all table names for the class of objects the receiver describes. If the table has a qualifier it should be specified using the dot notation, (i.e. "userid.employee"). This method is used for multiple tables

### setTableQualifier

    public void setTableQualifier(java.lang.String tableQualifier)

  Deprecated.
  PUBLIC: Set the table Qualifier for this descriptor. This table creator will be used for all tables in this descriptor

### setWrapperPolicy

    public void setWrapperPolicy(WrapperPolicy wrapperPolicy)

  Deprecated.
  ADVANCED: Sets the WrapperPolicy for this descriptor. This advacned feature can be used to wrap objects with other classes such as CORBA TIE objects or EJBs.

### shouldAlwaysConformResultsInUnitOfWork

    public boolean shouldAlwaysConformResultsInUnitOfWork()

  Deprecated.
  PUBLIC: Return if the descriptor is defined to always conform the results in unit of work in read query.

### shouldAlwaysRefreshCache

    public boolean shouldAlwaysRefreshCache()

  Deprecated.
  PUBLIC: This method returns `true` if the `Descriptor` is configured to always refresh the cache if data is received from the database by any query. Otherwise, it returns `false`.
  See Also:
    `setShouldAlwaysRefreshCache(boolean)`

### shouldAlwaysRefreshCacheOnRemote

    public boolean shouldAlwaysRefreshCacheOnRemote()

  Deprecated.
  PUBLIC: This method returns `true` if the `Descriptor` is configured to always remotely refresh the cache if data is received from the database by any query in a `RemoteSession`. Otherwise, it returns `false`.
  See Also:
    `setShouldAlwaysRefreshCacheOnRemote(boolean)`

### shouldBeReadOnly

    public boolean shouldBeReadOnly()

  Deprecated.
  PUBLIC: Return if the descriptor reference class is defined as read-only

### shouldDisableCacheHits

    public boolean shouldDisableCacheHits()

  Deprecated.
  PUBLIC: Return if for cache hits on primary key read object queries to be disabled.
  See Also:
    `disableCacheHits()`

### shouldDisableCacheHitsOnRemote

    public boolean shouldDisableCacheHitsOnRemote()

  Deprecated.
  PUBLIC: Return if the remote server session cache hits on primary key read object queries is aloowed or not.
  See Also:
    `disableCacheHitsOnRemote()`

### shouldOnlyRefreshCacheIfNewerVersion

    public boolean shouldOnlyRefreshCacheIfNewerVersion()

  Deprecated.
  PUBLIC: This method returns `true` if the `Descriptor` is configured to only refresh the cache if the data received from the database by a query is newer than the data in the cache (as determined by the optimistic locking field). Otherwise, it returns `false`.
  See Also:
    `setShouldOnlyRefreshCacheIfNewerVersion(boolean)`

### shouldUseCacheIdentityMap

    public boolean shouldUseCacheIdentityMap()

  Deprecated.
  PUBLIC: Return true if this descriptor is using CacheIdentityMap

### shouldUseFullIdentityMap

    public boolean shouldUseFullIdentityMap()

  Deprecated.
  PUBLIC: Return true if this descriptor is using FullIdentityMap

### shouldUseHardCacheWeakIdentityMap

    public boolean shouldUseHardCacheWeakIdentityMap()

  Deprecated.
  PUBLIC: Return true if this descriptor is using HardCacheWeakIdentityMap.

### shouldUseNoIdentityMap

    public boolean shouldUseNoIdentityMap()

  Deprecated.
  PUBLIC: Return true if this descriptor is using NoIdentityMap

### shouldUseRemoteCacheIdentityMap

    public boolean shouldUseRemoteCacheIdentityMap()

  Deprecated.
  PUBLIC: Return true if this descriptor is using CacheIdentityMap

### shouldUseRemoteFullIdentityMap

    public boolean shouldUseRemoteFullIdentityMap()

  Deprecated.
  PUBLIC: Return true if this descriptor is using FullIdentityMap

### shouldUseRemoteHardCacheWeakIdentityMap

    public boolean shouldUseRemoteHardCacheWeakIdentityMap()

  Deprecated.
  PUBLIC: Return true if this descriptor is using HardCacheWeakIdentityMap

### shouldUseRemoteNoIdentityMap

    public boolean shouldUseRemoteNoIdentityMap()

  Deprecated.
  PUBLIC: Return true if this descriptor is using NoIdentityMap

### shouldUseRemoteSoftCacheWeakIdentityMap

    public boolean shouldUseRemoteSoftCacheWeakIdentityMap()

  Deprecated.
  PUBLIC: Return true if this descriptor is using SoftCacheWeakIdentityMap

### shouldUseRemoteWeakIdentityMap

    public boolean shouldUseRemoteWeakIdentityMap()

  Deprecated.
  PUBLIC: Return true if this descriptor is using WeakIdentityMap

### shouldUseSoftCacheWeakIdentityMap

    public boolean shouldUseSoftCacheWeakIdentityMap()

  Deprecated.
  PUBLIC: Return true if this descriptor is using SoftCacheWeakIdentityMap.

### shouldUseWeakIdentityMap

    public boolean shouldUseWeakIdentityMap()

  Deprecated.
  PUBLIC: Return true if this descriptor is using WeakIdentityMap

### toString

    public java.lang.String toString()

  Deprecated.
  PUBLIC: Returns a brief string representation of the receiver.

### useAllFieldsLocking

    public void useAllFieldsLocking()

  Deprecated.
  PUBLIC: Set the locking policy an all fields locking policy. A field locking policy is base on locking on all fields by comparing with their previous values to detect field-level collisions. Note: the unit of work must be used for all updates when using field locking.
  See Also:
    `AllFieldsLockingPolicy`

### useCacheIdentityMap

    public void useCacheIdentityMap()

  Deprecated.
  PUBLIC: Set the class of identity map to be the cache identity map. This map caches the LRU instances read from the database. The default in JDK1.1 is "FullIdentityMap", in JDK1.2 it is the "SoftCacheWeakIdentityMap".

### useChangedFieldsLocking

    public void useChangedFieldsLocking()

  Deprecated.
  PUBLIC: Set the locking policy a changed fields locking policy. A field locking policy is base on locking on all changed fields by comparing with their previous values to detect field-level collisions. Note: the unit of work must be used for all updates when using field locking.
  See Also:
    `ChangedFieldsLockingPolicy`

### useCloneCopyPolicy

    public void useCloneCopyPolicy()

  Deprecated.
  PUBLIC: Specifies that the creation of clones within a unit of work is done by sending the #clone() method to the original object. The #clone() method must return a logical shallow copy of the original object. This can be used if the default mechanism of creating a new instance does not handle the object's non-persistent attributes correctly.
  See Also:
    `useCloneCopyPolicy(String)`

### useCloneCopyPolicy

    public void useCloneCopyPolicy(java.lang.String cloneMethodName)

  Deprecated.
  PUBLIC: Specifies that the creation of clones within a unit of work is done by sending the cloneMethodName method to the original object. This method must return a logical shallow copy of the original object. This can be used if the default mechanism of creating a new instance does not handle the object's non-persistent attributes correctly.
  See Also:
    `useCloneCopyPolicy()`

### useInstantiationCopyPolicy

    public void useInstantiationCopyPolicy()

  Deprecated.
  PUBLIC: Specifies that the creation of clones within a unit of work is done by building a new instance using the technique indicated by the descriptor's instantiation policy (which by default is to use the the default constructor). This new instance is then populated by using the descriptor's mappings to copy attributes from the original to the clone. This is the default. If another mechanism is desired the copy policy allows for a clone method to be called.
  See Also:
    `useCloneCopyPolicy()`, `useCloneCopyPolicy(String)`, `useDefaultConstructorInstantiationPolicy()`, `useMethodInstantiationPolicy(String)`, `useFactoryInstantiationPolicy(Class, String)`, `useFactoryInstantiationPolicy(Class, String, String)`, `useFactoryInstantiationPolicy(Object, String)`

### useDefaultConstructorInstantiationPolicy

    public void useDefaultConstructorInstantiationPolicy()

  Deprecated.
  PUBLIC: Use the default constructor to create new instances of objects built from the database. This is the default. The descriptor's class must either define a default constructor or define no constructors at all.
  See Also:
    `useMethodInstantiationPolicy(String)`, `useFactoryInstantiationPolicy(Class, String)`, `useFactoryInstantiationPolicy(Class, String, String)`, `useFactoryInstantiationPolicy(Object, String)`

### useFactoryInstantiationPolicy

    public void useFactoryInstantiationPolicy(java.lang.Class factoryClass,
                                              java.lang.String methodName)

  Deprecated.
  PUBLIC: Use an object factory to create new instances of objects built from the database. The methodName is the name of the method that will be invoked on the factory. When invoked, it must return a new instance of the descriptor's class. The factory will be created by invoking the factoryClass's default constructor.
  See Also:
    `useDefaultConstructorInstantiationPolicy()`, `useMethodInstantiationPolicy(String)`, `useFactoryInstantiationPolicy(Class, String, String)`, `useFactoryInstantiationPolicy(Object, String)`

### useFactoryInstantiationPolicy

    public void useFactoryInstantiationPolicy(java.lang.Class factoryClass,
                                              java.lang.String methodName,
                                              java.lang.String factoryMethodName)

  Deprecated.
  PUBLIC: Use an object factory to create new instances of objects built from the database. The factoryMethodName is a static method declared by the factoryClass. When invoked, it must return an instance of the factory. The methodName is the name of the method that will be invoked on the factory. When invoked, it must return a new instance of the descriptor's class.
  See Also:
    `useDefaultConstructorInstantiationPolicy()`, `useFactoryInstantiationPolicy(Class, String)`, `useFactoryInstantiationPolicy(Object, String)`, `useMethodInstantiationPolicy(String)`

### useFactoryInstantiationPolicy

    public void useFactoryInstantiationPolicy(java.lang.Object factory,
                                              java.lang.String methodName)

  Deprecated.
  PUBLIC: Use an object factory to create new instances of objects built from the database. The methodName is the name of the method that will be invoked on the factory. When invoked, it must return a new instance of the descriptor's class.
  See Also:
    `useDefaultConstructorInstantiationPolicy()`, `useMethodInstantiationPolicy(String)`, `useFactoryInstantiationPolicy(Class, String)`, `useFactoryInstantiationPolicy(Class, String, String)`

### useFullIdentityMap

    public void useFullIdentityMap()

  Deprecated.
  PUBLIC: Set the class of identity map to be the full identity map. This map caches all instances read and grows to accomodate them. The default in JDK1.1 is "FullIdentityMap", in JDK1.2 it is the "SoftCacheWeakIdentityMap".

### useHardCacheWeakIdentityMap

    public void useHardCacheWeakIdentityMap()

  Deprecated.
  PUBLIC: Set the class of identity map to be the hard cache weak identity map. This map uses weak references in JDK 1.2 to only cache object in-memory. It also includes a secondary fixed sized soft cache to improve caching performance. This is provided because some Java VM's do not implement soft references correctly. The default in JDK1.1 is "FullIdentityMap", in JDK1.2 it is the "SoftCacheWeakIdentityMap".

### useMethodInstantiationPolicy

    public void useMethodInstantiationPolicy(java.lang.String staticMethodName)

  Deprecated.
  PUBLIC: Use the specified static method to create new instances of objects built from the database. This method must be statically declared by the descriptor's class, and it must return a new instance of the descriptor's class.
  See Also:
    `useDefaultConstructorInstantiationPolicy()`, `useFactoryInstantiationPolicy(Class, String)`, `useFactoryInstantiationPolicy(Class, String, String)`, `useFactoryInstantiationPolicy(Object, String)`

### useNoIdentityMap

    public void useNoIdentityMap()

  Deprecated.
  PUBLIC: Set the class of identity map to be the no identity map. This map does no caching. The default in JDK1.1 is "FullIdentityMap", in JDK1.2 it is the "SoftCacheWeakIdentityMap".

### useRemoteCacheIdentityMap

    public void useRemoteCacheIdentityMap()

  Deprecated.
  PUBLIC: Set the class of identity map to be the cache identity map. This map caches the LRU instances read from the database. The default in JDK1.1 is "FullIdentityMap", in JDK1.2 it is the "SoftCacheWeakIdentityMap".

### useRemoteFullIdentityMap

    public void useRemoteFullIdentityMap()

  Deprecated.
  PUBLIC: Set the class of identity map to be the full identity map. This map caches all instances read and grows to accomodate them. The default in JDK1.1 is "FullIdentityMap", in JDK1.2 it is the "SoftCacheWeakIdentityMap".

### useRemoteHardCacheWeakIdentityMap

    public void useRemoteHardCacheWeakIdentityMap()

  Deprecated.
  PUBLIC: Set the class of identity map to be the hard cache weak identity map. This map uses weak references in JDK 1.2 to only cache object in-memory. It also includes a secondary fixed sized soft cache to improve caching performance. This is provided because some Java VM's do not implement soft references correctly. The default in JDK1.1 is "FullIdentityMap", in JDK1.2 it is the "SoftCacheWeakIdentityMap".

### useRemoteNoIdentityMap

    public void useRemoteNoIdentityMap()

  Deprecated.
  PUBLIC: Set the class of identity map to be the no identity map. This map does no caching. The default in JDK1.1 is "FullIdentityMap", in JDK1.2 it is the "SoftCacheWeakIdentityMap".

### useRemoteSoftCacheWeakIdentityMap

    public void useRemoteSoftCacheWeakIdentityMap()

  Deprecated.
  PUBLIC: Set the class of identity map to be the soft cache weak identity map. The SoftCacheIdentityMap holds a fixed number of objects is memory (using SoftReferences) to improve caching. The default in JDK1.1 is "FullIdentityMap", in JDK1.2 it is the "SoftCacheWeakIdentityMap".

### useRemoteWeakIdentityMap

    public void useRemoteWeakIdentityMap()

  Deprecated.
  PUBLIC: Set the class of identity map to be the weak identity map. The default in JDK1.1 is "FullIdentityMap", in JDK1.2 it is the "SoftCacheWeakIdentityMap".

### useSelectedFieldsLocking

    public void useSelectedFieldsLocking(java.util.Vector fieldNames)

  Deprecated.
  PUBLIC: Set the locking policy a selected fields locking policy. A field locking policy is base on locking on the specified fields by comparing with their previous values to detect field-level collisions. Note: the unit of work must be used for all updates when using field locking.
  See Also:
    `SelectedFieldsLockingPolicy`

### useSoftCacheWeakIdentityMap

    public void useSoftCacheWeakIdentityMap()

  Deprecated.
  PUBLIC: Set the class of identity map to be the soft cache weak identity map. The SoftCacheIdentityMap holds a fixed number of objects is memory (using SoftReferences) to improve caching. The default in JDK1.1 is "FullIdentityMap", in JDK1.2 it is the "SoftCacheWeakIdentityMap".

### usesOptimisticLocking

    public boolean usesOptimisticLocking()

  Deprecated.
  PUBLIC: Return true if the receiver uses write (optimistic) locking.

### usesSequenceNumbers

    public boolean usesSequenceNumbers()

  Deprecated.
  PUBLIC: Return true if the receiver uses sequence numbers.

### useTimestampLocking

    public void useTimestampLocking(java.lang.String writeLockFieldName)

  Deprecated.
  PUBLIC: Use the Timestamps locking policy and storing the value in the cache key #see useVersionLocking(String)

### useTimestampLocking

    public void useTimestampLocking(java.lang.String writeLockFieldName,
                                    boolean shouldStoreInCache)

  Deprecated.
  PUBLIC: Set the locking policy to use timestamp version locking. This updates the timestamp field on all updates, first comparing that the field has not changed to detect locking conflicts. Note: many database have limited precision of timestamps which can be an issue is highly concurrent systems. The parameter 'shouldStoreInCache' configures the version lock value to be stored in the cache or in the object. Note: if using a stateless model where the object can be passed to a client and then later updated in a different transaction context, then the version lock value should not be stored in the cache, but in the object to ensure it is the correct value for that object.
  See Also:
    `VersionLockingPolicy`

### useVersionLocking

    public void useVersionLocking(java.lang.String writeLockFieldName)

  Deprecated.
  PUBLIC: Default to use the version locking policy and storing the value in the cache key #see useVersionLocking(String)

### useVersionLocking

    public void useVersionLocking(java.lang.String writeLockFieldName,
                                  boolean shouldStoreInCache)

  Deprecated.
  PUBLIC: Set the locking policy to use numeric version locking. This updates the version field on all updates, first comparing that the field has not changed to detect locking conflicts. The parameter 'shouldStoreInCache' configures the version lock value to be stored in the cache or in the object. Note: if using a stateless model where the object can be passed to a client and then later updated in a different transaction context, then the version lock value should not be stored in the cache, but in the object to ensure it is the correct value for that object.
  See Also:
    `TimestampLockingPolicy`

### useWeakIdentityMap

    public void useWeakIdentityMap()

  Deprecated.
  PUBLIC: Set the class of identity map to be the weak identity map. The default in JDK1.1 is "FullIdentityMap", in JDK1.2 it is the "SoftCacheWeakIdentityMap".

### getCMPPolicy

    public CMPPolicy getCMPPolicy()

  Deprecated.
  ADVANCED: Return the cmp descriptor that holds cmp specific information. This will be null if not being used.

### setCMPPolicy

    public void setCMPPolicy(CMPPolicy newCMPPolicy)

  Deprecated.
  ADVANCED: Set the cmp descriptor that holds cmp specific information.

### getFetchGroupManager

    public FetchGroupManager getFetchGroupManager()

  Deprecated.
  PUBLIC: Get the fetch group manager for the descriptor. The fetch group manager is responsible for managing the fetch group behaviors and operations. To use the fetch group, the domain object must implement FetchGroupTracker interface. Otherwise, a descriptor validation exception would throw during initialization. NOTE: This is currently only supported in CMP2.
  See Also:
    `FetchGroupTracker`

### setFetchGroupManager

    public void setFetchGroupManager(FetchGroupManager fetchGroupManager)

  Deprecated.
  PUBLIC: Set the fetch group manager for the descriptor. The fetch group manager is responsible for managing the fetch group behaviors and operations.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD